%{?nodejs_find_provides_and_requires}

Name:       nodejs-jsonstream
Version:    0.10.0
Release:    2%{?dist}
Summary:    Streaming JSON.parse and stringify for Node.js
License:    MIT or ASL 2.0
Group:      System Environment/Libraries
URL:        http://github.com/dominictarr/JSONStream
Source:     http://registry.npmjs.org/JSONStream/-/JSONStream-%{version}.tgz



BuildArch:  noarch

BuildRequires:  nodejs-packaging


%description
Streaming JSON.parse and stringify for Node.js


%prep
%setup -q -n package
%setup -T -D  -q -n package
%nodejs_fixdep jsonparse > '~0.0.5'
%nodejs_fixdep through > '~2.2.7'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/JSONStream
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/JSONStream


%files
%doc readme.markdown LICENSE.MIT LICENSE.APACHE2 examples/
%{nodejs_sitelib}/JSONStream


%changelog
* Mon Dec 08 2014 Anish Patil <apatil@redhat.com> - 0.10.0-2
- Initial package and incorporated package review comments

* Mon Dec 08 2014 Anish Patil <apatil@redhat.com> - 0.10.0-1
- Initial package and incorporated package review comments

* Thu Apr 10 2014 Anish Patil <apatil@redhat.com> - 0.8.0-1
- initial package
